<!DOCTYPE html>
    <!--  
        <!DOCTYPE html>
        declaration providestre browser 
        wtr two pieces of information tre type of document,
        andtre HTML version to expect), but it doesn’t 
        actually add any HTML structure or content.
    -->

<html lang="en">

        <!-- 
        tre <html></html> element representstre root of an HTML document.
        -->

        <!-- 
            miscellaneous comments
        
            whitepace - puttting every element/tag on its own line.

            indentation - intenting child elements wtrin parent elements (tab).
            
            comments - used to help developers undertand your code.
        -->
    
    <head>
        <!-- 
            <head></head> element stores metadata about
        tre webpagetrat is not displayed intre browser.
        -->
        <meta charset="UTF-8">
        <meta name="viewport" content="witr=device-witr, initial-scale=1.0">
        <title>Decode_ODT</title>
        <!-- 
            <title></tag> - represents a document/website's tab title.
        -->
        <link rel="stylesheet" href="./styles.css">

        <style>
            /* can apply internal css styling within index.html page. */
        </style>
    </head>


    <!-- 
        <body> tag is where all content is displayed.  
        when webpage loads, log out name of the application.

       onload attribute accepts js script-functionality e.g. output message.
    -->

    <body onload="console.log('ODT Termination Decoder!');">

        <header id="decode_odt_header" id="ampere-logo">
            <h4>
                <!-- <a href="" target="_blank"> -->
                <a href="">
                    <h4>ODT Encode Utility</h4>
                    <!-- <ol></ol> -->
                    <ul id="decode-odt-utility-list">
                        
                        <!-- <li class="decode-odt-utility-list-li"><a href="">Rtt Term Decoder</a></li>
                        <li class="decode-odt-utility-list-li"><a href="">Phy Term Decoder</a></li> -->
                        <li><a href=""> Rtt Term Decoder</a></li>
                        <!-- <br>
                        <li><a href=""> Phy Term Decoder</a></li> -->
                    </ul>
                </a>
            </h4>
            

            <!-- <p id="decode-odt-description-p">
                <em>description paragraph content here.</em>
            </p> -->
        </header>

        <div id="decode_odt-util-div">
        
                    <!-- 
                        use of anchors tags and attributes to link to and 
                        open antrer page using target attribute.


                        smalles heading tag and anchor tag linked to a relative ptr/local file.

                        <h6>
                            <a href="./rank 0 & 1-file">
                                rank 0 & 1 Link
                            </a>
                        </h6> 
                    -->
                


                    <div id="rtt_grp-decode-options-div">
                        <!-- inline css styling -->
                        <h2 id="rtt-grp-heading">ODT Encoder</h2>


                        <div id="div-1">



                            <form id='rtt_nom_wr' action="">
                            
                                <ul class='rtt-grp-options'>
    
                                    <section>
    
                                    <h3 class="dimm-slot-heading"> 
                                        DIMM Slot 0
                                    </h3>
                                    
    
                                    <br>
    
    
                                    
                                    <br>
                                    
                                    <label for="rtt_nom_wr-ohm">RTT NOM WR</label>
    
                                    <br>
    
                                    <li>
                                        
    
                                        <select name="rtt_nom_wr-ohm" id="rtt_nom_wr-ohm">
    
                                            <option value="default"></option>
    
                                            <option id='rtt_nom_wr1:240ohm' value="rtt_nom_wr1:240ohm">1:240Ω</option>
                                            <option value="rtt_nom_wr2:120ohm">2:120Ω</option>
                                            <option value="rtt_nom_wr3:80ohm">3:80Ω</option>
                                            <option value="rtt_nom_wr4:60ohm">4:60Ω</option>
                                            <option value="rtt_nom_wr5:48ohm">5:48Ω</option>
                                            <option value="rtt_nom_wr6:40ohm">6:40Ω</option>
                                            <option value="rtt_nom_wr7:34ohm">7:34Ω</option>
            
                                        </select>
                                    
                                    </li>
                                    <br>
                                    <br>
                                    <label for="rtt_wr-ohm">RTT WR</label>
                                    <br>
                                    
                                    <li>
                                
                                        <select name="rtt_wr-ohm" id="rtt_wr-ohm">
                                            <option value="default"></option>
                                            <option value="rtt_wr1:240ohm">1:240Ω</option>
                                            <option value="rtt_wr2:120ohm">2:120Ω</option>
                                            <option value="rtt_wr3:80ohm">3:80Ω</option>
                                            <option value="rtt_wr4:60ohm">4:60Ω</option>
                                            <option value="rtt_wr5:48ohm">5:48Ω</option>
                                            <option value="rtt_wr6:40ohm">6:40Ω</option>
                                            <option value="rtt_wr7:34ohm">7:34Ω</option>
            
                                        </select>
                                    
                                    </li>
                                    
                                
                                </ul>
    
                                <br><br>
                                
                            </form>
    


                        </div>

                        


                        <div id="div-2">

                            <form id='rtt_nom_wr' action="">
                                
                                <ul class='rtt-grp-options'>

                                    <section>

                                    <h3 class="dimm-slot-heading"> 
                                        DIMM Slot 0
                                    </h3>
                                    

                                    <br>


                                    
                                    <br>
                                    
                                    <label for="rtt_nom_wr-ohm">RTT NOM WR</label>

                                    <br>

                                    <li>
                                        

                                        <select name="rtt_nom_wr-ohm" id="rtt_nom_wr-ohm">

                                            <option value="default"></option>

                                            <option id='rtt_nom_wr1:240ohm' value="rtt_nom_wr1:240ohm">1:240Ω</option>
                                            <option value="rtt_nom_wr2:120ohm">2:120Ω</option>
                                            <option value="rtt_nom_wr3:80ohm">3:80Ω</option>
                                            <option value="rtt_nom_wr4:60ohm">4:60Ω</option>
                                            <option value="rtt_nom_wr5:48ohm">5:48Ω</option>
                                            <option value="rtt_nom_wr6:40ohm">6:40Ω</option>
                                            <option value="rtt_nom_wr7:34ohm">7:34Ω</option>
            
                                        </select>
                                    
                                    </li>
                                    <br>
                                    <br>
                                    <label for="rtt_wr-ohm">RTT WR</label>
                                    <br>
                                    
                                    <li>
                                
                                        <select name="rtt_wr-ohm" id="rtt_wr-ohm">
                                            <option value="default"></option>
                                            <option value="rtt_wr1:240ohm">1:240Ω</option>
                                            <option value="rtt_wr2:120ohm">2:120Ω</option>
                                            <option value="rtt_wr3:80ohm">3:80Ω</option>
                                            <option value="rtt_wr4:60ohm">4:60Ω</option>
                                            <option value="rtt_wr5:48ohm">5:48Ω</option>
                                            <option value="rtt_wr6:40ohm">6:40Ω</option>
                                            <option value="rtt_wr7:34ohm">7:34Ω</option>
            
                                        </select>
                                    
                                    </li>
                                    
                                
                                </ul>

                                <br><br>
                                
                            
                            </form>


                          
                    </div>
                    
                        <section id="output-div">
                            <h2 id="hex-code-output-header">

                            </h2>
                        </section>
                        <button id="convert">
                            <h3>CONVERT</h3>
                        </button>
                   
                </div>



                <br>
                <br>


         <script src="app.js">



         </script>


        
        <script>
            console.log('test output')

            /*
                goal > check if input_integer/drop-down is valid hex-code, from 32-bit numbers.

                to test input write a function that takes in an integer
                and runs a condition that checks if input integer can output valid hex-code.
            */

        </script>
    </body>


</html>

